sinh
Prev | Orchestra Opcodes and Operators | Next

## sinh

sinh — Performs a hyperbolic sine function.

## Description

Returns the hyperbolic sine of x (x in radians).

## Syntax

    sinh(x) (no rate
        restriction)

    sinh(k/i[]) (k- or i-arrays )

## Examples

Here is an example of the sinh opcode. It uses the file sinh.csd.

Example 943. Example of the sinh opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o sinh.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 1
      i1 = sinh(irad)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should a line like this:

    instr 1:  i1 = 1.175

## See Also

cos, cosh, cosinv, sin, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

New in version 3.47

Prev | Up | Next
sin | Home | sininv